> ## Documentation Index
> Fetch the complete documentation index at: https://api.skycoach.gg/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Edit offer status



## OpenAPI

````yaml /api-docs.json post /api/shop/marketplace/offers/{OfferId}/edit_status
openapi: 3.0.0
info:
  title: Currency Marketplace API
  description: API documentation for Currency Marketplace
  version: 1.0.0
servers:
  - url: https://skycoach.gg/
    description: API Server
security: []
tags:
  - name: Currency Marketplace
    description: Currency Marketplace
  - name: Offers
    description: Offers
  - name: Offer Credentials
    description: Offer Credentials
paths:
  /api/shop/marketplace/offers/{OfferId}/edit_status:
    post:
      tags:
        - Offers
      summary: Edit offer status
      operationId: d7072f484ff58f18ea1ab0ec46659492
      parameters:
        - name: Accept
          in: header
          description: API response format
          required: true
          schema:
            type: string
            default: application/json
            enum:
              - application/json
        - name: OfferId
          in: path
          required: true
          schema:
            type: integer
      requestBody:
        required: true
        content:
          application/json:
            schema:
              required:
                - status
              properties:
                status:
                  description: >-
                    New offer status. Only the following statuses are allowed
                    for sellers:
                         *
                         * - **1** (Draft): Move offer to draft
                         * - **2** (Active): Activate offer (visible to customers)
                         * - **3** (Not Active): Deactivate offer (hidden from customers)
                         * - **5** (On Review): Send offer for review
                  type: integer
                  enum:
                    - 1
                    - 2
                    - 3
                    - 5
                  example: 2
              type: object
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                    example: ok
                type: object
        '400':
          description: Cannot change offer status
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                    example: Unauthorized
                type: object
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````